Bug 509141 - Clustered broker shuts down on receiving bad frames
Clustered broker shuts down on receiving bad frames
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1.1
All Linux
high Severity high
: 1.1.6
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 10:15 EDT by Gordon Sim
Modified: 2015-11-15 20:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (2.23 KB, text/x-c++src)
2009-07-01 11:08 EDT, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2009-07-01 10:15:23 EDT
Description of problem:

If a clustered broker is sent invalid AMQP frames, all nodes shutdown with errors of the form:


2009-jul-01 10:11:54 notice 100.0.50.15:12146(READY) caught up, active cluster member
2009-jul-01 10:12:08 error Error decoding events: framing-error: Reserved bits not zero (qpid/framing/AMQFrame.cpp:132)
2009-jul-01 10:12:08 notice 100.0.50.15:12146(LEFT) leaving cluster grs-mrg15-test-cluster
2009-jul-01 10:12:08 notice Shut down

Version-Release number of selected component (if applicable):

qpidd-0.5.752581-20.el5

How reproducible:

100%

Steps to Reproduce:
1. start cluster
2. run attached test case against it
  
Actual results:

All nodes exit as above.

Expected results:

No nodes exit, cluster simply rejects connection.
Comment 1 Gordon Sim 2009-07-01 11:08:15 EDT
Created attachment 350134 [details]
reproducer
Comment 2 Alan Conway 2009-07-02 09:50:03 EDT
This was fixed on trunk in r785788 and the fix is included in the patch for 1.1.6 attached to bug 508917. The unit test case is in cluster_test.cpp testBadClientData()
Comment 3 Gordon Sim 2009-07-03 03:23:50 EDT
Fixed in qpidd-0.5.752581-22.
Comment 4 Frantisek Reznicek 2009-07-03 04:45:30 EDT
The issueThe issue has been fixed, validated on RHEL 5.3 i386 / x86_64 on packages
[root@mrg-qe-02 bz509141]# rpm -qa | grep -E '(qpid|rhm|openais)' | sort -u
openais-0.80.3-22.el5_3.8
openais-debuginfo-0.80.3-22.el5_3.8
python-qpid-0.5.752581-3.el5
qpidc-0.5.752581-22.el5
qpidc-debuginfo-0.5.752581-22.el5
qpidc-devel-0.5.752581-22.el5
qpidc-rdma-0.5.752581-22.el5
qpidc-ssl-0.5.752581-22.el5
qpidd-0.5.752581-22.el5
qpidd-acl-0.5.752581-22.el5
qpidd-cluster-0.5.752581-22.el5
qpidd-devel-0.5.752581-22.el5
qpid-dotnet-0.4.738274-2.el5
qpidd-rdma-0.5.752581-22.el5
qpidd-ssl-0.5.752581-22.el5
qpidd-xml-0.5.752581-22.el5
qpid-java-client-0.5.751061-7.el5
qpid-java-common-0.5.751061-7.el5
rhm-0.5.3206-5.el5
rhm-docs-0.5.756148-1.el5


->VERIFIED


The clustered brokers are not accepting session and print out this message:
  ...
  2009-jul-03 09:38:44 error 10.34.33.55:15831(READY) aborting connection 10.34.33.55:15797-1: framing-error: Reserved bits not zero (qpid/framing/AMQFrame.cpp:132)
  2009-jul-03 09:38:44 error 10.34.33.55:15831(READY) aborting connection 10.34.33.55:15797-1: framing-error: Framing version unsupported (qpid/framing/AMQFrame.cpp:113)
  ...
Comment 6 errata-xmlrpc 2009-07-14 13:32:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1153.html

Note You need to log in before you can comment on or make changes to this bug.